Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 158495 - DHCP selection unavailable when setting up multiple wireless profiles in neat
Summary: DHCP selection unavailable when setting up multiple wireless profiles in neat
Keywords:
Status: CLOSED INSUFFICIENT_DATA
Alias: None
Product: Fedora
Classification: Fedora
Component: system-config-network
Version: 3
Hardware: i686
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Dan Williams
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-05-23 00:10 UTC by Matt Wood
Modified: 2008-02-11 23:44 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2008-02-11 23:44:19 UTC


Attachments (Terms of Use)

Description Matt Wood 2005-05-23 00:10:49 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (Windows; U; Windows NT 5.0; en-US; rv:1.7.8) Gecko/20050511 Firefox/1.0.4

Description of problem:
While trying to setup multiple wireless network connection profiles in the Network Configuration GUI (neat) the configuration wizard is called normally.  Selecting DHCP is successful in the wizard however, once the configuration completes, editing the profile that was just created shows that "Statically set IP addresses:" is selected and "Automatically obtain IP address setting with: dhcp" is unavailable to be selected.  Note this problem is apparent only after having setup a profile that uses dhcp.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.  Setup a profile that uses DHCP
2.  Attempt to setup another profile that uses DHCP, but say with no wireless encryption key
3.  Complete the wizard and edit the new profile.
4.  Notice that DHCP is not selected and cannot be changed from Static.
  

Actual Results:  Wireless Device profile has "Statically set IP addresses:" selected despite having selected DHCP in the wizard.  "Automatically obtain IP address settings with:" is grey and cannot be selected.

Expected Results:  Profile should show "Automatically obtain IP address settings with: dhcp" selected.  Also, ability to switch between Static and Automatic IP detection should be allowed. 

Additional info:

This problem has occured using Cisco Aironet cards and Linksys cards but appears to be hardware independent.  Copying an existing profile and editing it is a workaround.

Comment 1 Matthew Miller 2006-07-10 22:41:26 UTC
Fedora Core 3 is now maintained by the Fedora Legacy project for security
updates only. If this problem is a security issue, please reopen and
reassign to the Fedora Legacy product. If it is not a security issue and
hasn't been resolved in the current FC5 updates or in the FC6 test
release, reopen and change the version to match.

Thank you!


Comment 2 petrosyan 2008-02-11 23:44:19 UTC
Fedora Core 3 is not maintained anymore.

Setting status to "INSUFFICIENT_DATA". If you can reproduce this bug in the
current Fedora release, please reopen this bug and assign it to the
corresponding Fedora version.


Note You need to log in before you can comment on or make changes to this bug.